Đến nội dung


Hình ảnh
- - - - -

Thắc mắc về ename trong Lisp


  • Please log in to reply
9 replies to this topic

#1 vubk10

vubk10

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 July 2013 - 09:45 AM

Chào anh em trên CADVIET em là thành viên mới của diễn đàn.Và mới bắt đầu tập sự đọc hiểu ngon ngữ trên Autolisp.

trong quá trình đọc e không hiểu cho lắm về cụm từ "ENAME" các pro có thể giải thich kĩ giúp em được không..


  • 0

#2 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 02 July 2013 - 10:08 AM

http://www.cadviet.c...0-hoc-autolisp/

Đọc ở #4, thấy a Hoành có viết ...


  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#3 vubk10

vubk10

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 July 2013 - 10:53 AM

mình cũng đang đọc bài đó đây bạn. mà sao cũng không thấy anh Hoành định nghĩa rõ cái ename này :)


  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 July 2013 - 11:09 AM

Ename - theo cách đặt tên - gồm "E" và "NAME".

"E" là viết tắt của Entity. >> Ename là tên thực thể, tên đối tượng...


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 02 July 2013 - 11:10 AM

bạn vẽ lung tung trên 1 bản vẽ, rồi coppy paste dòng này vô command & chọn đại lấy 1 đối tượng:

(setq a (entsel ))

---> ename = Entity name (tên đơn vị / thực thể)

Mình tạm hiểu vậy !


  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 02 July 2013 - 11:40 AM

bạn vẽ lung tung trên 1 bản vẽ, rồi coppy paste dòng này vô command & chọn đại lấy 1 đối tượng:

(setq a (entsel ))

---> ename = Entity name (tên đơn vị / thực thể)

Mình tạm hiểu vậy !

Hề hề hề,

Cái entity name này được xem như một Giấy chứng minh điện tử cho các đối tượng được hình thành trong CAD. Với cái CMND điện tử này, bất kỳ ai cũng có thể truy suất ra lý lịch của đối tượng như cha mẹ, vợ chồng hay con cháu của đối tựợng. Cái lý lịch này được thể hiện bởi các mà DXF của đối tượng bạn ạ. 

Nhờ vào đó bạn có khả năng cải tạo đối tượng sao cho nó phù hợp với mục tiêu sử dụng của bạn. Cho dù bạn có cải tạo thoải mái nhưng cái CMND diện tử này vẫn không thay đổi chi cả, ngoại trừ bạn giết đối tượng đi bằng các cách khác nhau nào đó. 

Hề hề hề,...


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#7 vubk10

vubk10

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 July 2013 - 02:09 PM

cho em một ví dụ minh hoạ về cái ename này đi các pro :)..thanhk anh em đã nhiệt tình chỉ dẫn


  • 0

#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 July 2013 - 02:22 PM

Ví dụ: chọn 1 đối tượng bất kỳ trên bản vẽ, trả về ename của nó:

(setq ent (car (entsel)))

(setq e2 (car (entsel)))

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 vubk10

vubk10

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 July 2013 - 11:12 PM

Ví dụ: chọn 1 đối tượng bất kỳ trên bản vẽ, trả về ename của nó:

(setq ent (car (entsel)))

(setq e2 (car (entsel)))

lệnh trên là gán giá trị đầu tiên bằng phương pháp pick cho biến ent. vậy các ename gồm có đối tượng được pick và tọa độ được pick đúng không anh :)

ent và e2 là do người dùng tự định nghĩa hả anh :)


  • 0

#10 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 02 July 2013 - 11:24 PM

Tôi không biết phải trả lời câu hỏi của bạn như thế nào. Nói chung, mọi cái cứ từ từ thì sẽ ổn, chứ nhảy cấp quá thì cũng hơi khó.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.